#ifndef PW_CORE_SERIALIZE_HPP
#define PW_CORE_SERIALIZE_HPP

#include <pw/core/matrixbase.hpp>


#include <string>
#include <sstream>

namespace pw {

struct serialize {

    template <typename T>
    inline static std::string matrix(const matrixbase<T>& m) {
        std::stringstream ss;

        for (int r = 0; r < m.rows();r++) {
            for (int c = 0; c < m.cols();c++) {
                ss << m.at(r,c) << " ";
            }
            ss << std::endl;
        }

        return ss.str();
    }
};

}

#endif
